Page MenuHomePhabricator

Branch Folding: Accept explicit threshold for tail merge size.
ClosedPublic

Authored by iteratee on Aug 10 2016, 4:42 PM.

Details

Reviewers
davidxl
Summary

This is prep work for allowing the threshold to be different during layout,
and to enforce a single threshold between merging and duplicating during
layout. No observable change intended.

Diff Detail

Event Timeline

iteratee updated this revision to Diff 67630.Aug 10 2016, 4:42 PM
iteratee retitled this revision from to Branch Folding: Accept explicit threshold for tail merge size..
iteratee updated this object.
iteratee added a reviewer: davidxl.
iteratee set the repository for this revision to rL LLVM.
iteratee added subscribers: llvm-commits, echristo.
davidxl added inline comments.Aug 12 2016, 9:49 PM
lib/CodeGen/BranchFolding.h
33

Make it the last parameter with a default. Also document the new parameter and the expected behavior.

iteratee updated this revision to Diff 68436.Aug 17 2016, 3:29 PM
iteratee removed rL LLVM as the repository for this revision.
iteratee marked an inline comment as done.

Made last parameter with default value.

iteratee set the repository for this revision to rL LLVM.Aug 17 2016, 3:30 PM
davidxl accepted this revision.Aug 18 2016, 11:04 AM
davidxl edited edge metadata.

lgtm

This revision is now accepted and ready to land.Aug 18 2016, 11:04 AM
iteratee closed this revision.Aug 18 2016, 12:38 PM

committed in r279117